### Method

# Adw Leaflet get_child_by_name

#### Declaration [src]

    GtkWidget*
    adw_leaflet_get_child_by_name (
      AdwLeaflet* self,
      const char* name
    )

#### Description [src]

Finds the child of `self` with `name`.

Returns `NULL` if there is no child with this name.

See `AdwLeafletPage:name`.

Available since: | 1.0

#### Parameters

`name` | `const char*`
| The name of the child to find.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GtkWidget`
| The requested child of `self`.
| The data is owned by the instance.
| The return value can be `NULL`.